package com.testor.module.notice.model.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;
 
/**
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TreeVO {
	
	private String id;
	private String name;
	private String pid;
	private List<TreeVO> children;

	public TreeVO(String id, String name, String pid) {
		this.id = id;
		this.name = name;
		this.pid = pid;
		this.children = new ArrayList<>();
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public List<TreeVO> getChildren() {
		return children;
	}

	public void setChildren(List<TreeVO> children) {
		this.children = children;
	}
}